Page MenuHomePhabricator

Browser test failing on check_elements_in_viewer_for_image2
Closed, ResolvedPublic1 Estimate Story Points

Description

Multiple browsers seem affected, the general issue seems to be that the image in that line is missing or not showing up fast enough:

expect(page.mmv_image_div_element.image_element.when_present.attribute('src')).to match 'Offsite'

Errors seen:

unable to locate element, using {:index=>0, :tag_name=>"img"} 

timed out after 5 seconds, waiting for {:index=>0, :tag_name=>"img"} to become present

See an example stacktrace: https://integration.wikimedia.org/ci/job/browsertests-MultimediaViewer-en.wikipedia.beta.wmflabs.org-linux-firefox-sauce/486/testReport/junit/%28root%29/Options/Clicking_enable_shows_the_confirmation/

Details

Related Gerrit Patches:
mediawiki/extensions/MultimediaViewer : masterDifferentiate placeholder and final image

Event Timeline

Gilles created this task.Feb 24 2015, 3:26 PM
Gilles claimed this task.
Gilles raised the priority of this task from to High.
Gilles updated the task description. (Show Details)
Gilles added a subscriber: Gilles.
Restricted Application added a project: Multimedia. · View Herald TranscriptFeb 24 2015, 3:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Gilles set Security to None.Feb 25 2015, 9:17 AM
Gilles edited a custom field.

Change 193859 had a related patch set uploaded (by Gilles):
Differentiate placeholder and final image

https://gerrit.wikimedia.org/r/193859

Gilles closed this task as Resolved.Mar 13 2015, 8:26 AM

Change 193859 merged by jenkins-bot:
Differentiate placeholder and final image

https://gerrit.wikimedia.org/r/193859